> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Doctor Profile

> 
### Overview
Create a new doctor profile for your business. This endpoint lets you register a doctor with their personal details, specializations, qualifications, and profile image.

**Endpoint:** `{{HOST}}/cdr/v1/doctor`

**Method:** `POST`
### Request Parameters

| Parameter | Type | Description | Required |
| --- | --- | --- | --- |
| firstname | string | Doctor's first name | Yes |
| lastname | string | Doctor's last name | Yes |
| gender | string | Doctor's gender (M/F/O) | Yes |
| dob | string | Doctor's date of birth (YYYY-MM-DD) | No |
| email | string | Doctor's email address | No |
| mobile | string | Doctor's mobile number (10 digits) | No |
| specialisations | array | List of doctor's specializations | No |
| qualifications | array | List of doctor's qualifications/degrees | No |
| about | string | Brief description about the doctor | No |
| profile_image_url | string | URL of the doctor's profile image | No |
| clinic_ids | array | List of Eka clinic IDs to assign to this doctor | No |
| partner_clinic_ids | array | List of partner clinic IDs to assign to this doctor | No |
| partner_id | string | Unique identifier provided by partner | No |

### Response Parameters

| Parameter | Type   | Description                                   |
| --------- | ------ | --------------------------------------------- |
| status    | string | Status of the response (e.g., "success")      |
| ekaid     | string | Unique identifier for the created doctor      |



> **Note:** The `specialisations` and `qualifications` fields accept predefined values, if wanted these can be left empty as they are optional fields. For the complete and up-to-date list, see this Google Sheet:   [View Specializations & Qualifications List](https://docs.google.com/spreadsheets/d/1qRf_R-WHF1F9g3XYcJWHp5IqIWzJxXCaKh22wCCm4j4/edit?usp=sharing)



## OpenAPI

````yaml post /cdr/v1/doctor/
openapi: 3.0.0
info:
  title: Ekacare API & Webhook Documentation
  contact: {}
  version: '1.0'
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /cdr/v1/doctor/:
    post:
      tags:
        - Doctor and clinic API
      summary: Create Doctor Profile
      description: >-

        ### Overview

        Create a new doctor profile for your business. This endpoint lets you
        register a doctor with their personal details, specializations,
        qualifications, and profile image.


        **Endpoint:** `{{HOST}}/cdr/v1/doctor`


        **Method:** `POST`

        ### Request Parameters


        | Parameter | Type | Description | Required |

        | --- | --- | --- | --- |

        | firstname | string | Doctor's first name | Yes |

        | lastname | string | Doctor's last name | Yes |

        | gender | string | Doctor's gender (M/F/O) | Yes |

        | dob | string | Doctor's date of birth (YYYY-MM-DD) | No |

        | email | string | Doctor's email address | No |

        | mobile | string | Doctor's mobile number (10 digits) | No |

        | specialisations | array | List of doctor's specializations | No |

        | qualifications | array | List of doctor's qualifications/degrees | No
        |

        | about | string | Brief description about the doctor | No |

        | profile_image_url | string | URL of the doctor's profile image | No |

        | clinic_ids | array | List of Eka clinic IDs to assign to this doctor |
        No |

        | partner_clinic_ids | array | List of partner clinic IDs to assign to
        this doctor | No |

        | partner_id | string | Unique identifier provided by partner | No |


        ### Response Parameters


        | Parameter | Type   | Description                                   |

        | --------- | ------ | --------------------------------------------- |

        | status    | string | Status of the response (e.g., "success")      |

        | ekaid     | string | Unique identifier for the created doctor      |




        > **Note:** The `specialisations` and `qualifications` fields accept
        predefined values, if wanted these can be left empty as they are
        optional fields. For the complete and up-to-date list, see this Google
        Sheet:   [View Specializations & Qualifications
        List](https://docs.google.com/spreadsheets/d/1qRf_R-WHF1F9g3XYcJWHp5IqIWzJxXCaKh22wCCm4j4/edit?usp=sharing)
      operationId: CreateDoctorProfile
      parameters:
        - name: auth
          in: header
          description: >-
            The auth token of the business. It is used to authenticate the
            client. This should be fetched from auth api.
          required: true
          style: simple
          schema:
            type: string
            example: >-
              eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJiX2lkIjoiMTIzNDU2IiwiY2xpZW50X2lkIjoiNzg5MCIsImV4dHJhX2ZpZWxkIjoiZXh0cmFfZmllbGRfZGF0YSJ9.q9KzBI6f4l3OyM_EkB5Quq0l9EEMFh5JS-fx3F_PHUM
      requestBody:
        description: Request body for creating a doctor profile
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - firstname
                - lastname
                - gender
              properties:
                firstname:
                  type: string
                  description: Doctor's first name
                  example: Rajesh
                lastname:
                  type: string
                  description: Doctor's last name
                  example: Sharma
                mobile:
                  type: string
                  description: Doctor's mobile number (10 digits)
                  example: '0000011111'
                dob:
                  type: string
                  description: >-
                    Doctor's date of birth (YYYY-MM-DD) default to 1990-01-01,
                    if not provided.
                  example: '1999-01-01'
                email:
                  type: string
                  format: email
                  description: Doctor's email address
                  example: dr.rajesh@example.com
                gender:
                  type: string
                  enum:
                    - M
                    - F
                    - O
                  description: Doctor's gender (M - Male, F - Female, O - Other)
                  example: M
                specialisations:
                  type: array
                  items:
                    type: string
                  description: >-
                    List of doctor's specializations. Refer to the Available
                    Specializations section for valid values.
                  example:
                    - Cardiology
                    - Internal Medicine
                qualifications:
                  type: array
                  items:
                    type: string
                  description: >-
                    List of doctor's qualifications/degrees. Refer to the
                    Available Qualifications section for valid values.
                  example:
                    - MBBS
                    - MD
                    - DM
                about:
                  type: string
                  description: Brief description about the doctor
                  example: >-
                    Dr. Rajesh Sharma is a renowned cardiologist with over 15
                    years of experience in interventional cardiology.
                profile_image_url:
                  type: string
                  format: uri
                  description: URL of the doctor's profile image
                  example: https://example.com/images/dr-rajesh.jpg
                clinic_ids:
                  type: array
                  items:
                    type: string
                  description: List of Eka clinic IDs to assign to this doctor
                  example:
                    - c-ab2c-34f2d-2gwd-2g2g
                partner_clinic_ids:
                  type: array
                  items:
                    type: string
                  description: List of partner clinic IDs to assign to this doctor
                  example:
                    - Part_clinic_1
                partner_id:
                  type: string
                  description: Unique identifier provided by partner
                  example: Part_doc
            example:
              firstname: Rajesh
              lastname: Sharma
              mobile: '0000011111'
              dob: '1999-01-01'
              email: dr.rajesh@example.com
              gender: M
              specialisations:
                - Cardiology
                - Internal Medicine
              qualifications:
                - MBBS
                - MD
                - DM
              about: >-
                Dr. Rajesh Sharma is a renowned cardiologist with over 15 years
                of experience in interventional cardiology.
              profile_image_url: https://example.com/images/dr-rajesh.jpg
              clinic_ids:
                - c-ab2c-34f2d-2gwd-2g2g
              partner_clinic_ids:
                - Part_clinic_1
              partner_id: Part_doc
      responses:
        '201':
          description: Created - Doctor successfully created
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  ekaid:
                    type: string
                    description: Unique identifier for the created doctor
                    example: do1769174683513
        '400':
          description: Bad Request - Invalid or missing required parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  <field>:
                    type: array
                    items:
                      type: string
                      example: This field is required.
                  message:
                    type: array
                    items:
                      type: string
                      example: >-
                        Only one of partner_clinic_ids or clinic_ids should be
                        provided, not both.

````